#pragma once
#include "communication/bridge/connection_lifecycle/i_connection_factory.h"

namespace spin
{
    class ConnectionFactory : public IConnectionFactory
    {
        public:
            std::shared_ptr<IConnectionStateMachine> createStateMachine(boost::shared_ptr<kr2_program_api::ProgramInterface> api, std::shared_ptr<IBridgeClient> bridgeClient) override;
    };
        
} // namespace spin
